Package org.apache.sling.scripting.sightly.impl.parser.expr.generated

## Class SightlyLexer

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>
  - - org.antlr.v4.runtime.Lexer
    - - org.apache.sling.scripting.sightly.impl.parser.expr.generated.SightlyLexer

All Implemented Interfaces:
  `org.antlr.v4.runtime.TokenSource`

    public class SightlyLexer
    extends org.antlr.v4.runtime.Lexer

### Field Summary

Fields
`static org.antlr.v4.runtime.atn.ATN` `_ATN`
`protected static org.antlr.v4.runtime.dfa.DFA[]` `_decisionToDFA`
`static String` `_serializedATN`
`protected static org.antlr.v4.runtime.atn.PredictionContextCache` `_sharedContextCache`
`static int` `AND_OP`
`static int` `ARRAY_END`
`static int` `ARRAY_START`
`static int` `ASSIGN`
`static int` `BOOL_CONSTANT`
`static String[]` `channelNames`
`static int` `COMMA`
`static int` `COMMENT`
`static int` `DOT`
`static int` `EQ`
`static int` `ESC_EXPR`
`static int` `EXPR_END`
`static int` `EXPR_START`
`static int` `ExpressionMode`
`static int` `FLOAT`
`static int` `GEQ`
`static int` `GT`
`static int` `ID`
`static int` `IN_OP`
`static int` `INT`
`static int` `LBRACKET`
`static int` `LEQ`
`static int` `LT`
`static String[]` `modeNames`
`static int` `NEQ`
`static int` `NOT_OP`
`static int` `OPTION_SEP`
`static int` `OR_OP`
`static int` `RBRACKET`
`static String[]` `ruleNames`
`static int` `STRING`
`static int` `TERNARY_BRANCHES_OP`
`static int` `TERNARY_Q_OP`
`static int` `TEXT_PART`
`static String[]` `tokenNames` Deprecated. Use `VOCABULARY` instead.
`static org.antlr.v4.runtime.Vocabulary` `VOCABULARY`
`static int` `WS`

### Fields inherited from class org.antlr.v4.runtime.Lexer

`_channel, _factory, _hitEOF, _input, _mode, _modeStack, _text, _token, _tokenFactorySourcePair, _tokenStartCharIndex, _tokenStartCharPositionInLine, _tokenStartLine, _type, DEFAULT_MODE, DEFAULT_TOKEN_CHANNEL, HIDDEN, MAX_CHAR_VALUE, MIN_CHAR_VALUE, MORE, SKIP`

### Fields inherited from class org.antlr.v4.runtime.Recognizer

`_interp, EOF`

### Constructor Summary

Constructors
`SightlyLexer​(org.antlr.v4.runtime.CharStream input)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`org.antlr.v4.runtime.atn.ATN` `getATN()`
`String[]` `getChannelNames()`
`String` `getGrammarFileName()`
`String[]` `getModeNames()`
`String[]` `getRuleNames()`
`String` `getSerializedATN()`
`String[]` `getTokenNames()` Deprecated.
`org.antlr.v4.runtime.Vocabulary` `getVocabulary()`

### Methods inherited from class org.antlr.v4.runtime.Lexer

`emit, emit, emitEOF, getAllTokens, getChannel, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorDisplay, getErrorDisplay, getInputStream, getLine, getSourceName, getText, getToken, getTokenFactory, getType, mode, more, nextToken, notifyListeners, popMode, pushMode, recover, recover, reset, setChannel, setCharPositionInLine, setInputStream, setLine, setText, setToken, setTokenFactory, setType, skip`

### Methods inherited from class org.antlr.v4.runtime.Recognizer

`action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getParseInfo, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, precpred, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _decisionToDFA

    protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

#### _sharedContextCache

    protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

#### ESC_EXPR

    public static final int ESC_EXPR

See Also:
  Constant Field Values

#### EXPR_START

    public static final int EXPR_START

See Also:
  Constant Field Values

#### TEXT_PART

    public static final int TEXT_PART

See Also:
  Constant Field Values

#### EXPR_END

    public static final int EXPR_END

See Also:
  Constant Field Values

#### BOOL_CONSTANT

    public static final int BOOL_CONSTANT

See Also:
  Constant Field Values

#### DOT

    public static final int DOT

See Also:
  Constant Field Values

#### LBRACKET

    public static final int LBRACKET

See Also:
  Constant Field Values

#### RBRACKET

    public static final int RBRACKET

See Also:
  Constant Field Values

#### IN_OP

    public static final int IN_OP

See Also:
  Constant Field Values

#### AND_OP

    public static final int AND_OP

See Also:
  Constant Field Values

#### OR_OP

    public static final int OR_OP

See Also:
  Constant Field Values

#### NOT_OP

    public static final int NOT_OP

See Also:
  Constant Field Values

#### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

#### ARRAY_START

    public static final int ARRAY_START

See Also:
  Constant Field Values

#### ARRAY_END

    public static final int ARRAY_END

See Also:
  Constant Field Values

#### ASSIGN

    public static final int ASSIGN

See Also:
  Constant Field Values

#### OPTION_SEP

    public static final int OPTION_SEP

See Also:
  Constant Field Values

#### TERNARY_Q_OP

    public static final int TERNARY_Q_OP

See Also:
  Constant Field Values

#### TERNARY_BRANCHES_OP

    public static final int TERNARY_BRANCHES_OP

See Also:
  Constant Field Values

#### LT

    public static final int LT

See Also:
  Constant Field Values

#### LEQ

    public static final int LEQ

See Also:
  Constant Field Values

#### GEQ

    public static final int GEQ

See Also:
  Constant Field Values

#### GT

    public static final int GT

See Also:
  Constant Field Values

#### EQ

    public static final int EQ

See Also:
  Constant Field Values

#### NEQ

    public static final int NEQ

See Also:
  Constant Field Values

#### ID

    public static final int ID

See Also:
  Constant Field Values

#### INT

    public static final int INT

See Also:
  Constant Field Values

#### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

#### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

#### WS

    public static final int WS

See Also:
  Constant Field Values

#### STRING

    public static final int STRING

See Also:
  Constant Field Values

#### ExpressionMode

    public static final int ExpressionMode

See Also:
  Constant Field Values

#### channelNames

    public static String[] channelNames

#### modeNames

    public static String[] modeNames

#### ruleNames

    public static final String[] ruleNames

#### VOCABULARY

    public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

#### tokenNames

    @Deprecated
    public static final String[] tokenNames

Deprecated.
Use `VOCABULARY` instead.

#### _serializedATN

    public static final String _serializedATN

See Also:
  Constant Field Values

#### _ATN

    public static final org.antlr.v4.runtime.atn.ATN _ATN

### Constructor Detail

#### SightlyLexer

    public SightlyLexer​(org.antlr.v4.runtime.CharStream input)

### Method Detail

#### getTokenNames

    @Deprecated
    public String[] getTokenNames()

Deprecated.

Overrides:
  `getTokenNames` in class `org.antlr.v4.runtime.Lexer`

#### getVocabulary

    public org.antlr.v4.runtime.Vocabulary getVocabulary()

Overrides:
  `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### getGrammarFileName

    public String getGrammarFileName()

Specified by:
  `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### getRuleNames

    public String[] getRuleNames()

Specified by:
  `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### getSerializedATN

    public String getSerializedATN()

Overrides:
  `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### getChannelNames

    public String[] getChannelNames()

Overrides:
  `getChannelNames` in class `org.antlr.v4.runtime.Lexer`

#### getModeNames

    public String[] getModeNames()

Overrides:
  `getModeNames` in class `org.antlr.v4.runtime.Lexer`

#### getATN

    public org.antlr.v4.runtime.atn.ATN getATN()

Specified by:
  `getATN` in class `org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>`